%define name         	pvmgmake	
%define version      	0.7
%define pvm_root	/usr/share/pvm3
 
Name: 		%{name}
Version: 	%{version}
Summary: 	Distributed GNU make
Release: 	2mdk
License: 	GPL
Group: 		Development/Other
Url:		http://pvmgmake.sourceforge.net/
Source: 	%{name}-%{version}.tar.bz2
Requires: 	pvm, pvm-examples	
Buildrequires:	pvm, libpvm-devel 	
BuildRoot: 	%{_tmppath}/%{name}-%{version}
Conflicts:	make

%description 
Distributed GNU make:
- Spawn a task for each command
- Use the -j <nn>  option to now how many host will be used.
- Option -j  force -l 0 (--load-average=0) to disable local run
- PVM_ARCH is defined as internal make variable.
- PVM_ARCH can be redefined in the makefile to force spawn to 
  an other architecture

%prep
%setup -q

%build
%configure --with-pvm=$PVM_ROOT --enable-pvmexport --disable-pvm-schedule
%make

%install
PVM_ARCH=`$PVM_ROOT/lib/pvmgetarch`
mkdir -p %{buildroot}/$PVM_ROOT/bin/$PVM_ARCH

%makeinstall_std
cp $RPM_BUILD_DIR/%{name}-%{version}/make $RPM_BUILD_ROOT/$PVM_ROOT/bin/$PVM_ARCH/new_make
cp $RPM_BUILD_DIR/%{name}-%{version}/make_pvm $RPM_BUILD_ROOT/$PVM_ROOT/bin/$PVM_ARCH/new_make_pvm

cat > $RPM_BUILD_ROOT/$PVM_ROOT/bin/$PVM_ARCH/script_make_pvm <<EOF
#!/bin/sh
exec $PVM_ROOT/bin/$PVM_ARCH/new_make -j $*
EOF

%find_lang make

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info make.info

%postun
%_remove_install_info make.info

%files -f make.lang
%defattr (-,root,root)
%doc README README.pvm INSTALL ChangeLog COPYING README.customs AUTHORS
%_bindir/make
%_bindir/make_pvm
%_infodir/*.info*
%_mandir/man1/make*
%{pvm_root}/*

%changelog
* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7-2mdk
- rebuild
- use %%makinstall
- cleanup

* Wed Aug 14 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.7-1mdk
- first Mandrakesoft release
- configure with -disable-pvm-schedule option
